#ifndef SUWELLOFDCONVERT_H
#define SUWELLOFDCONVERT_H

#if  defined(_WIN32) || defined(WIN32)||defined(_WIN64) || defined(WIN64)
    #ifdef SUWELLCONVERT_LIBRARY
    #define SUWELLCONVERT_EXPORT __declspec(dllexport)
    #else
    #define SUWELLCONVERT_EXPORT __declspec(dllimport)
    #endif
#else
    #include <qglobal.h>
    #ifdef SUWELLCONVERT_LIBRARY
    #define SUWELLCONVERT_EXPORT Q_DECL_EXPORT
    #else
    #define SUWELLCONVERT_EXPORT
    #endif
#endif


/**
 * @brief ImagestoOfd           将多张图片转换为一个ofd文件
 * @param vecSrcImage           待转换的多张图片路径
 * @param destOfdPath           生成ofd文件路径
 * @param fCompressionRatio     文件压缩率,默认为原始大小,0-100
 */
extern "C" SUWELLCONVERT_EXPORT bool   ImagetoOfd(const char*srcImage, const char*destOfdPath,float fRatio = 100.0);

/**
 * @brief PdftoOfd              pdf转换为ofd
 * @param srcPdf                待转换的pdf文件
 * @param destOfd               生成ofd文件路径
 */
extern "C" SUWELLCONVERT_EXPORT bool   PdftoOfd(const char*srcPdf, const char*destOfd);
/**
 * @brief OfdtoImage            ofd转换为图片
 * @param srcOfdPath            待转换的ofd文件
 * @param destDir               生成图片存放文件夹
 * @param imageSuffix           图片后缀类型
 * @param ndpi                  生成图片文件dpi,最小75
 */
extern "C" SUWELLCONVERT_EXPORT bool   OfdtoImage(const char*srcOfdPath, const char*destDir,const char*imageSuffix,int ndpi);
/**
 * @brief SDKInit        传入注册码用于生成license
 */
extern "C" SUWELLCONVERT_EXPORT bool   SetRegistrationcode(const char*code);
/**
 * @brief SDKInit        判断是否注册
 */
extern "C" SUWELLCONVERT_EXPORT bool   IsSDKRegistered();
/**
 * @brief SDKInit        注册初始化（调用3个转换函数之前先初始化）
 */
extern "C" SUWELLCONVERT_EXPORT bool   SDKInit();
#endif // SUWELLOFDCONVERT_H
